Summary:       DejaVu fonts
Name:          dejavu-fonts
Version:       2.37
Release:       5%{?dist}
License:       Bitstream Vera and Public Domain
URL:           https://dejavu-fonts.github.io/
%global major  %(echo %{version} | cut -d . -f 1)
%global minor  %(echo %{version} | cut -d . -f 2)
Source0:       https://github.com/%{name}/%{name}/releases/download/version_%{major}_%{minor}/%{name}-%{version}.tar.bz2
Source1:       57-dejavu-sans-fonts.xml
Source2:       57-dejavu-serif-fonts.xml
Source3:       57-dejavu-sans-mono-fonts.xml
Source4:       58-dejavu-lgc-sans-fonts.xml
Source5:       58-dejavu-lgc-serif-fonts.xml
Source6:       58-dejavu-lgc-sans-mono-fonts.xml
Patch3000:     %{name}-urn-dtd.patch

BuildRequires: fontforge perl-interpreter perl(Font::TTF) unicode-ucd make
Requires:      fontpackages-filesystem
Provides:      %{name}-doc dejavu-sans-mono-fonts dejavu-serif-fonts dejavu-sans-fonts
Provides:      dejavu-lgc-sans-mono-fonts dejavu-lgc-serif-fonts dejavu-lgc-sans-fonts
BuildArch:     noarch

%description
The DejaVu fonts are a font family based on the Vera Fonts.
Its purpose is to provide a wider range of characters
while maintaining the original look and feel through
the process of collaborative development, under a Free license.


%prep
%autosetup -n %{name}-%{version} -p1


%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" BLOCKS=/usr/share/unicode/ucd/Blocks.txt \
     UNICODEDATA=/usr/share/unicode/ucd/UnicodeData.txt BUILDDIR=.
xz -9 *.txt


%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_datadir}/fonts/dejavu
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/dejavu
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

cd fontconfig
for fontconf in *conf ; do
  install -m 0644 -p $fontconf %{buildroot}%{_fontconfig_templatedir}
  ln -s %{_fontconfig_templatedir}/$fontconf %{buildroot}%{_fontconfig_confdir}/$fontconf
done

for sourcefile in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}; do
  install -Dm 0644 -p $sourcefile %{buildroot}%{_datadir}/appdata/$(name=`basename $sourcefile`;echo ${name#*-} | sed 's/\.xml/\.metainfo\.xml/')
done



%check
make check


%files
%license LICENSE
%doc AUTHORS BUGS NEWS README.md
%doc *.txt.xz
%defattr(644, root, root, 0755)
%{_fontconfig_templatedir}/*-dejavu-*.conf
%{_fontconfig_confdir}/*-dejavu-*.conf
%{_datadir}/fonts/dejavu/DejaVu*.ttf
%{_datadir}/appdata/*.xml

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.37-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.37-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.37-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.37-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 05 2022 rockerzhu <rockerzhu@tencent.com> - 2.37-1
- Initial build
